#{extends 'borderNG.html' /}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}"> &{'nonspk.home'}</a></li>
    <li><a href="@{nonspk.RealisasiNonSpkCtr.editJenisRealisasi(jenisRealisasiNonSpk?.lls_id, jenisRealisasiNonSpk?.rsk_id)}">Edit Jenis Realisasi </a></li>
    <li class="active"> &{'nonspk.pilih_penyedia'}</li>
</ol>

<div class="content">

#{form @nonspk.RealisasiNonSpkCtr.viewPilihPenyedia(jenisRealisasiNonSpk?.rsk_id), id:'formCariPenyedia'}
    <table class="table table-sm table-bordered">
        *{<tr>}*
            *{<th class="bgwarning" width="150">Kabupaten</th>}*
            *{<td>}*
                *{<div style="float: left;">}*

                    *{<input type="hidden" name="search"}*
                           *{value="${true}"/>}*

                    *{#{selectPropinsi 'propinsiId', value:propinsiId /} &nbsp;}*
                *{</div>}*
                *{<div style="float: left;">}*
                    *{#{selectKabupaten 'kabupatenId', value:kabupatenId, propinsiId:propinsiId /} &nbsp;}*
                *{</div>}*
            *{</td>}*
        *{</tr>}*
        *{<tr>}*
            *{<th class="bgwarning" width="150">Nama Perusahaan</th>}*
            *{<td>}*
                *{<div style="width: 385px; float: left;">}*
                    *{<input type="text" id="nama" name="nama" value="${nama}" class="form-control" placeholder="&{'nonspk.placeholder_namaperusahaan'}">}*
                *{</div>}*
            *{</td>}*
        *{</tr>}*
        <tr>
            <th class="bgwarning" width="150">NPWP</th>
            <td>
                <div style="width: 385px; float: left;">
                    <input type="text" id="npwp" name="npwp" value="${npwp}" class="form-control" placeholder="&{'nonspk.placeholder_npwp_penyedia'}">
                </div>
            </td>
        </tr>
        *{<tr>}*
            *{<th class="bgwarning" width="150">Izin Usaha</th>}*
            *{<td>}*
                *{<div style="width: 385px; float: left;">}*
                    *{#{selectJenisIjin 'jenisIjin', value: jenisIjin /}}*
                *{</div>}*
            *{</td>}*
        *{</tr>}*
        <tr>
            <td colspan="2">
                <button class="btn btn-primary" type="submit"><i class="fa fa-search"></i> &{'nonspk.cari_penyedia'}</button>
            </td>
        </tr>
    </table>
#{/form}

#{alert /}

#{if rekananList.size() != 0 && rekananList != null}

    #{form @nonspk.RealisasiNonSpkCtr.simpanPilihPenyedia(jenisRealisasiNonSpk?.rsk_id,npwp,nama,kabupatenId,propinsiId,jenisIjin), id:'formPilihPenyedia', method:'POST'}
        <table class="table table-sm table-bordered" id="tblPenyedia">
            <thead>
            <tr>
                <th align="center" width="5"><input type="checkbox" class="checkall"/></th>
                <th>&{'nonspk.nama_perusahaan'}</th>
                <th>&{'nonspk.npwp'}</th>
                <th>&{'nonspk.email'}</th>
                <th>&{'nonspk.telepon'}</th>
                <th>&{'nonspk.alamat'}</th>
                <th width="120">&{'nonspk.status'}</th>
            </tr>
            </thead>
            <tbody>
                #{list items:rekananList, as:'rekanan'}
                <tr>
                    <td align="center">
                        #{if rekanan.isSudahTerdaftar.equals("0")}
                            <input type="checkbox" name="rekananId[${rekanan_index-1}]"
                                   value="${rekanan.rkn_id}" idx="${rekanan_index-1}"
                                   class="chk"/>
                        #{/if}
                    </td>
                    <td>
                    ${rekanan.rkn_nama}
                        #{if rekanan.isSudahTerdaftar.equals("0")}
                            <input type="hidden" name="rekananNama[${rekanan_index-1}]"
                                   id="rekananNama_${rekanan_index-1}"
                                   value="${rekanan.rkn_nama}"
                                   class="hiddenAtt"
                                   disabled/>
                        #{/if}
                    </td>
                    <td>
                    ${rekanan.rkn_npwp}
                        #{if rekanan.isSudahTerdaftar.equals("0")}
                            <input type="hidden" name="rekananNpwp[${rekanan_index-1}]"
                                   id="rekananNpwp_${rekanan_index-1}"
                                   value="${rekanan.rkn_npwp}"
                                   class="hiddenAtt"
                                   disabled/>
                        #{/if}
                    </td>
                    <td>
                    ${rekanan.rkn_email}
                        #{if rekanan.isSudahTerdaftar.equals("0")}
                            <input type="hidden" name="rekananEmail[${rekanan_index-1}]"
                                   id="rekananEmail_${rekanan_index-1}"
                                   value="${rekanan.rkn_email}"
                                   class="hiddenAtt"
                                   disabled/>
                        #{/if}
                    </td>
                    <td>
                    ${rekanan.rkn_telepon}
                        #{if rekanan.isSudahTerdaftar.equals("0")}
                            <input type="hidden" name="rekananTelepon[${rekanan_index-1}]"
                                   id="rekananTelepon_${rekanan_index-1}"
                                   value="${rekanan.rkn_telepon}"
                                   class="hiddenAtt"
                                   disabled/>
                        #{/if}
                    </td>
                    <td>
                    ${rekanan.rkn_alamat}
                        #{if rekanan.isSudahTerdaftar.equals("0")}
                            <input type="hidden" name="rekananAlamat[${rekanan_index-1}]"
                                   id="rekananAlamat_${rekanan_index-1}"
                                   value="${rekanan.rkn_alamat}"
                                   class="hiddenAtt"
                                   disabled/>
                        #{/if}
                    </td>
                    <td>
                        #{if rekanan.isSudahTerdaftar.equals("1")}
                            <span class="badge  badge-success">Sudah Pilih</span>
                        #{/if}
                        #{else}
                            <span class="badge  badge-danger">Belum Pilih</span>
                        #{/else}
                    </td>
                </tr>
                #{/list}
            </tbody>
        </table>
        <div class="form-group row">
            <div class="col-offset-0 col-12">
                    *{#{if isAllowPemilihan}
                        <div class="bs-callout bs-callout-info">
                            &{'nonspk.masukan_npwp_penyedia'}
                        </div>
                    #{/if}
                    #{else}
                        <div class="bs-callout bs-callout-danger">
                            &{'nonspk.pengdaan_melebihi_batas'}
                        </div>
                    #{/else}}*

                <div class="bs-callout bs-callout-info">
                    &{'nonspk.pilih_salah_satu_parameter'}
                </div>
                #{set 'a'}&{'btn_simpan'}#{/set}
                #{saveButton title:a/}
                #{backButton action:@nonspk.RealisasiNonSpkCtr.editJenisRealisasi(jenisRealisasiNonSpk?.lls_id, jenisRealisasiNonSpk?.rsk_id) /}
            </div>
        </div>
    #{/form}
#{/if}
#{else}
    <div class="bs-callout bs-callout-info">
        &{'nonspk.pilih_salah_satu_parameter'}

    </div>

    <div>
        #{backButton action:@nonspk.RealisasiNonSpkCtr.editJenisRealisasi(jenisRealisasiNonSpk?.lls_id, jenisRealisasiNonSpk?.rsk_id) /}
    </div>
#{/else}
</div>

#{set 'custom_script'}
<script type="text/javascript">

    $('.chk').change(function(){
        var idx = $(this).attr('idx');
        if($(this).is(':checked')){
            $('#rekananNama_'+idx).removeAttr('disabled');
            $('#rekananNpwp_'+idx).removeAttr('disabled');
            $('#rekananTelepon_'+idx).removeAttr('disabled');
            $('#rekananEmail_'+idx).removeAttr('disabled');
            $('#rekananAlamat_'+idx).removeAttr('disabled');
        }
        else{
            $('#rekananNama_'+idx).attr('disabled','disabled');
            $('#rekananNpwp_'+idx).attr('disabled','disabled');
            $('#rekananTelepon_'+idx).attr('disabled','disabled');
            $('#rekananEmail_'+idx).attr('disabled','disabled');
            $('#rekananAlamat_'+idx).attr('disabled','disabled');
        }
    });

    $('.checkall').change(function(){
        if($(this).is(':checked'))
            $('.hiddenAtt').removeAttr('disabled');
        else
            $('.hiddenAtt').attr('disabled','disabled');
    });

    $('#npwp').on("focus", function () {
        $(this).mask("99.999.999.9-999.999");
    });

    var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};

    $(document).on('change', 'select.propinsi', function(){
        console.log('update')
        var id = $(this).val();
        $.cookie("pilih_penyedia_propinsi_id", id, {expires:365, path:'${request.path}'});
        var kabupaten = $(this).parent().parent().parent().find('select.kabupaten')
        $.getJSON(kabUrl.url({id:id}), function(data){
            var options = '';
            for (var i = 0; i < data.length; i++) {
                options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
            }
            kabupaten.html(options);
            kabupaten.selectpicker('refresh');
        })
    });

</script>
#{/set}


